[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSigIsMember

Check whether a signal appears in a signal set.

## Declaration

Source position: bunxovlh.inc line 82

`function FpSigIsMember(`
`const nset: tsigset;`
`signo: cint`
`):cint;`

## Description

FpSigIsMember checks whether SigNo appears in the set nset. If it is a member, then 1 is returned. If not, zero is returned.

## Errors

If an invalid signal number is given, -1 is returned.

## See also

FpSigEmptySet |  | Clear all signals from signal set.
FpSigFillSet |  | Set all signals in signal set.
FpSigAddSet |  | Set a signal in a signal set.
FpSigDelSet |  | Remove a signal from a signal set.

Documentation generated on: Feb 26 2014